<?php

namespace OrganizationsManagement\Service;

use Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use OrganizationsManagement\Util\Utilities;
use OrganizationsManagement\Util\Messages as Messages;
use OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities;
use Teknisa\Model\Geral\Entities\Endeclie;
use Teknisa\Model\Geral\Entities\Cliente;
use Teknisa\Model\Geral\Entities\Organizacao as OrganizacaoEntity;
use Teknisa\Model\Geral\Repositories as GeralRepositories;
use Teknisa\Model\Teknisa\Repositories as TeknisaRepositories;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;
use OrganizationsManagement\Util\InstanceProvider;

class CallCategory
{
    
    public function findCallCategories($conditions, $page, $pageSize)
    {
        $filters = Utilities::createQueryFiltered($conditions);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        
        return InstanceProvider::getRepository()->getCallCategory()->getIssuesClassificationPM($filters, $limit , $offset);
    }
    
    public function findClassification($conditions, $page, $pageSize)
    {
        $filters = Utilities::createQueryFiltered($conditions);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        
        return InstanceProvider::getRepository()->getAssunto()->getClassificationGep($filters, $limit , $offset);
    }
    
    public function saveClassificationCdAssunto($classificationId, $cdAssunto)
    {
        $orgId    = InstanceProvider::getEnvironment()->getCurrentOrganizationId();
        InstanceProvider::getRepository()->getCallCategory()->setClassificationsCdAssunto($classificationId, $cdAssunto, $orgId);
        return $classificationId;
        
    }
    
    
}