function LibCustomizationController(templateManager, LibUtilities, ScreenService, MessageService) {
    var getCustomizationContainer = function() {
		return templateManager.container;;
	};

    var getCustomizationWidget = function() {
		return getCustomizationContainer().getWidget('customizationWidget');
	};

	this.customizationContainerAfterinit = function () {
        var route 	  = localStorage.getItem('LIB_CUSTOMIZATION_ROUTE');
        var label 	  = localStorage.getItem('LIB_CUSTOMIZATION_LABEL');
        var token 	  = localStorage.getItem('LOGIN_TOKEN');
        var hash 	  = localStorage.getItem('LOGIN_HASH') || '0';
        var user      = localStorage.getItem('LOGIN_USER');
        var languange = localStorage.getItem('LOGIN_LANGUAGE');
        var customURL = localStorage.getItem('LOGIN_CUSTOMIZATION_URL');
        
        // Clear angular session timeout to use only next session timeout.
        clearTimeout(LibUtilities.expiredSessionMethod);
        
        var url = customURL + route + "?header=0&menu=0" +
                                      "&token=" + token +
                                      "&hash=" + hash +
                                      "&user=" + user +
                                      "&languange=" + languange +
                                      "&productId=" + window.projectId +
                                      "&isZhAngular=1";                  
        getCustomizationWidget().sourceUrl = url;
        getCustomizationContainer().label  = label + ' ' + ScreenService.i18n('(Customização)');
    };

    this.customizationMenuOnClick = function(menu) {
        if(!menu.route) {
            MessageService.showMessageByCode('lib#ERR_NOT_FOUND_CUSTOM_ROUTE', null, { type: 'ERROR' });
        } else {
            localStorage.setItem('LIB_CUSTOMIZATION_ROUTE', menu.route);
            localStorage.setItem('LIB_CUSTOMIZATION_LABEL', menu.label);
            ScreenService.openWindow('lib#customizationWindow');
            if (ScreenService.isSideMenuOpen()) {
                ScreenService.toggleSideMenu();
            }
        }
    }
}
    
Configuration(function(ContextRegister){
    ContextRegister.register('LibCustomizationController', LibCustomizationController);
});